1.0

1.0

get /v1/backups/check-filesystem-duplication

Description

Check filesystem path duplication.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260331

Parameters

TypeNameDescriptionSchemaDefault
queryfilesystem_path
required
Filesystem backup path
Example : /aaa
stringNone
queryserver_uuid
required
Backup server UUID
Example : 89f5ef44-1021-4a5c-8e06-fbb289eac366
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckFileSystemDuplicationResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/check-filesystem-duplication?filesystem_path={filesystem_path}&server_uuid={server_uuid}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"

Example HTTP response

Response 200

{
    "result": true
}